GNU bug report logs - #19990
24.4; Bad resizing interaction when WM ignores size hints

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Yuri D'Elia <yuri.delia@HIDDEN>; dated Tue, 3 Mar 2015 16:48:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 6 Mar 2015 17:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 12:05:39 2015
Received: from localhost ([127.0.0.1]:37740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTvgv-000332-Iq
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 12:05:38 -0500
Received: from mailfe06.swip.net ([212.247.154.161]:42365 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTvgr-00032g-Q8
 for 19990 <at> debbugs.gnu.org; Fri, 06 Mar 2015 12:05:34 -0500
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe06.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 575454109; Fri, 06 Mar 2015 18:05:26 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19990: 24.4;
 Bad resizing interaction when WM ignores size hints
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <54F98714.10603@HIDDEN>
Date: Fri, 6 Mar 2015 18:05:26 +0100
Content-Transfer-Encoding: 7bit
Message-Id: <2C962D9B-843A-44B2-9FFB-1CF60F30D962@HIDDEN>
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN> <54F89D48.1000902@HIDDEN>
 <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN> <54F9718B.8070409@HIDDEN>
 <54F98714.10603@HIDDEN>
To: Yuri D'Elia <yuri.delia@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: martin rudalics <rudalics@HIDDEN>, 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


> 6 mar 2015 kl. 11:53 skrev Yuri D'Elia <yuri.delia@HIDDEN>:
> 
> On 03/06/2015 10:21 AM, martin rudalics wrote:
>> The OP said that:
>> 
>>    I force the emacs frame to take the height of the entire screen.
>> 
>> So this looks like a fullheight frame to me without, apparently,
>> explicitly specifying it as such.
> 
> I should have never said 'full screen height', since this keeps
> confusing you. In my particular configuration, I have no window borders,
> so two windows side-by-side will automatically fit the screen height.
> This is *not* a special case for a tiling window manger.
> 
> A tiling window manager will force the frame to fit a screen region,
> _possibly_ ignoring size hints. That's all there is to it. It does that
> *intentionally*, since you can imagine that having gaps between the
> tiles is just plainly annoying. In a side-by-side configuration, you
> don't want gaps on the lower corner of the screen.
> 
>> Maybe the OP's problem is that the Window manager conceptually gives
>> Emacs the full height of the screen and Gtk+ is not aware of that.
>> Maybe also Gtk+ doesn't even understand fullheight.  At least I can't
>> detect an entry for it in GtkWindowPrivate which OTOH has a 'tiled'
>> entry.
> 
> The problem with Gtk+ is that it tries to handle hints both on behalf of
> the window manger and on the client. I have *no* clue of why it does
> that. Maybe to handle TWM? Or more probably to handle the "Windows" port
> which has no such feature?

Thats sounds reasonable.  Probably also Wayland which has no window manager.

> 
> The second issue with Gtk+ is that it notifies the application while
> doing his own hint handling (or again, is that intentional?).
> 
> I would be perfectly happy to discuss this issue with Gtk+ folks, but I
> remember that back in Gtk 1.3/2.0 days, many of my patches where
> rejected since they fixed behavior that wasn't really intended "for the
> common user", whatever that means. Gtk 3 seems to have regressed even
> more in this area, so I just gave up in trying to argue.

I have no better experience than you.

> 
> To sum up, however, what about this:
> 
> Since we receive the first ConfigureNotify event with the unhinted
> width/height, we *can* detect that the size hints have been ignored.
> Couldn't we disable them at that point?

At what point would we re-enable them?

> This would fix Gtk+ trying to do
> a reconfiguration attempt and remove the following two useless events.
> This looks like a simple fix that would already improve the current
> configuration, but I would need experience with the Mac/Win port to tell
> if Gtk would fail in this scenario. Maybe an "ifdef X11" is required.

The NS/W32 port of Emacs can't use Gtk+ so it is already X11 only.

> 
> The question then becomes: would actually be possible to set the hints
> immediately back on, so that in a further resize request the WM sees the
> hints, but *without* having Gtk+ do it's mess? This would mean that we
> would need to set the hints back on when the resize request has been
> fully settled. Tricky. Setting them back-on on a further repaint/focus
> in/out event is either too late or not enough.
> 
> As mentioned in my first request, this is a minor nuance fix for folks
> with tiling window managers. My point is "can we handle it better?".

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 6 Mar 2015 17:00:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 12:00:26 2015
Received: from localhost ([127.0.0.1]:37731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTvbt-0002tb-T1
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 12:00:26 -0500
Received: from mailfe02.swip.net ([212.247.154.33]:51447 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTvbr-0002tK-IH
 for 19990 <at> debbugs.gnu.org; Fri, 06 Mar 2015 12:00:25 -0500
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe02.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 579133965; Fri, 06 Mar 2015 18:00:15 +0100
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19990: 24.4;
 Bad resizing interaction when WM ignores size hints
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <54F9718B.8070409@HIDDEN>
Date: Fri, 6 Mar 2015 18:00:14 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <E6C876C9-45D6-44C9-8590-E689EF27DB41@HIDDEN>
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN> <54F89D48.1000902@HIDDEN>
 <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN> <54F9718B.8070409@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org, Yuri D'Elia <yuri.delia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


> 6 mar 2015 kl. 10:21 skrev martin rudalics <rudalics@HIDDEN>:
>=20
> > The window manager can resize the window, for example when you drag =
on
> > its corners, or when you maximize it.  Or it can intercept Emacs
> > resize request and modify it, so it is consistent with size hints.  =
In
> > both cases a ConfigureNotify is sent.  Gtk+ does receive it.
>=20
> In gtk_window_configure_event?

No, in the Gtk+ event handler.

>=20
> > The
> > problem is that Gtk+ then tries to apply size hints also.
>=20
> Via gtk_window_move_resize?  Which, in principle, is not entirely =
wrong.

Yes it is.  They are called window manager hints for a reason.

> Emacs gets what it asked for.  Can't we reset the size hints in =
between?
> That's what I earlier meant by "interception".

I don't follow.

>=20
> > Focus events does not contain any information about width/height and
> > can't be taken as a resize request.  That would be kind of perverse,
> > focus has nothing to do with resize.
>=20
> Didn't the OP mention that during a focus event a resize also took
> place?  That's what he said:
>=20
>   However, when receiving a FocusIn event (just by cycling focus),
>   emacs properly aligns the minibuffer to the bottom, and displays a
>   partially-visible line just above the minibuffer (test_after.png).

Emacs must have received a ConfigureNotify to adjust its size.  It is =
possible the OP missed it.

>=20
> >> Apparently no such measure is needed for fullheight/-width frames.
> >
> > The bug report that lead to the change mentioned no such problems.
>=20
> The OP said that:
>=20
>   I force the emacs frame to take the height of the entire screen.
>=20
> So this looks like a fullheight frame to me without, apparently,
> explicitly specifying it as such.

I meant the bug report that prompted our resetting size hints for =
fullscreen.
I think he said that he used a tiling window manager, so it is not a =
fullheight frame.

>=20
> > The window manager is what does the fullscreen happen, so it is free
> > to ignore any hints, i.e. hints should not matter, fullscreen takes
> > precedence.  But in principle hints during fullscreen may not =
reflect
> > the "true" state of affairs.
>=20
> Maybe the OP's problem is that the Window manager conceptually gives
> Emacs the full height of the screen and Gtk+ is not aware of that.
> Maybe also Gtk+ doesn't even understand fullheight.  At least I can't
> detect an entry for it in GtkWindowPrivate which OTOH has a 'tiled'
> entry.

It is none of Gtk+ business to know about fullscreen.  It is something =
between Emacs and the window manager.  Gtk+ gets sizes from the X server =
and the window manager via ConfigureNotify and should just accept what =
it gets.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 6 Mar 2015 10:53:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 05:53:19 2015
Received: from localhost ([127.0.0.1]:36889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTpsd-0007aF-60
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 05:53:19 -0500
Received: from mail1.unibz.it ([46.18.24.79]:62896)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YTpsa-0007Zy-Ht
 for 19990 <at> debbugs.gnu.org; Fri, 06 Mar 2015 05:53:17 -0500
Received: from SDCEMB11.unibz.it (10.7.29.61) by mail1.unibz.it (46.18.24.79)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Fri, 6 Mar 2015 11:52:12 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB11.unibz.it (10.7.29.61)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Fri, 6 Mar 2015 11:53:08 +0100
Message-ID: <54F98714.10603@HIDDEN>
Date: Fri, 6 Mar 2015 11:53:08 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>, Jan D. <jan.h.d@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN> <54F89D48.1000902@HIDDEN>
 <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN> <54F9718B.8070409@HIDDEN>
In-Reply-To: <54F9718B.8070409@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: SDCEMB14.unibz.it (10.7.29.64) To SDCEMB11.unibz.it
 (10.7.29.61)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/06/2015 10:21 AM, martin rudalics wrote:
> The OP said that:
> 
>     I force the emacs frame to take the height of the entire screen.
> 
> So this looks like a fullheight frame to me without, apparently,
> explicitly specifying it as such.

I should have never said 'full screen height', since this keeps
confusing you. In my particular configuration, I have no window borders,
so two windows side-by-side will automatically fit the screen height.
This is *not* a special case for a tiling window manger.

A tiling window manager will force the frame to fit a screen region,
_possibly_ ignoring size hints. That's all there is to it. It does that
*intentionally*, since you can imagine that having gaps between the
tiles is just plainly annoying. In a side-by-side configuration, you
don't want gaps on the lower corner of the screen.

> Maybe the OP's problem is that the Window manager conceptually gives
> Emacs the full height of the screen and Gtk+ is not aware of that.
> Maybe also Gtk+ doesn't even understand fullheight.  At least I can't
> detect an entry for it in GtkWindowPrivate which OTOH has a 'tiled'
> entry.

The problem with Gtk+ is that it tries to handle hints both on behalf of
the window manger and on the client. I have *no* clue of why it does
that. Maybe to handle TWM? Or more probably to handle the "Windows" port
which has no such feature?

The second issue with Gtk+ is that it notifies the application while
doing his own hint handling (or again, is that intentional?).

I would be perfectly happy to discuss this issue with Gtk+ folks, but I
remember that back in Gtk 1.3/2.0 days, many of my patches where
rejected since they fixed behavior that wasn't really intended "for the
common user", whatever that means. Gtk 3 seems to have regressed even
more in this area, so I just gave up in trying to argue.

To sum up, however, what about this:

Since we receive the first ConfigureNotify event with the unhinted
width/height, we *can* detect that the size hints have been ignored.
Couldn't we disable them at that point? This would fix Gtk+ trying to do
a reconfiguration attempt and remove the following two useless events.
This looks like a simple fix that would already improve the current
configuration, but I would need experience with the Mac/Win port to tell
if Gtk would fail in this scenario. Maybe an "ifdef X11" is required.

The question then becomes: would actually be possible to set the hints
immediately back on, so that in a further resize request the WM sees the
hints, but *without* having Gtk+ do it's mess? This would mean that we
would need to set the hints back on when the resize request has been
fully settled. Tricky. Setting them back-on on a further repaint/focus
in/out event is either too late or not enough.

As mentioned in my first request, this is a minor nuance fix for folks
with tiling window managers. My point is "can we handle it better?".





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 6 Mar 2015 09:21:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 04:21:38 2015
Received: from localhost ([127.0.0.1]:36823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YToRt-00056v-VZ
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 04:21:38 -0500
Received: from mout.gmx.net ([212.227.17.21]:58577)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YToRr-00056e-IK
 for 19990 <at> debbugs.gnu.org; Fri, 06 Mar 2015 04:21:36 -0500
Received: from [91.113.0.241] ([91.113.0.241]) by mail.gmx.com (mrgmx103) with
 ESMTPSA (Nemesis) id 0M4o41-1XXIwI35zR-00yyqW;
 Fri, 06 Mar 2015 10:21:23 +0100
Message-ID: <54F9718B.8070409@HIDDEN>
Date: Fri, 06 Mar 2015 10:21:15 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN> <54F89D48.1000902@HIDDEN>
 <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN>
In-Reply-To: <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:mbOLrcq1ncdk+K30vkBwGmhdc3tW6VdNfqU85puPDIKjdKrvEPT
 DeMaUuI/jEvpz1S6HNLPigE8nZqB2HV4ku5ql5+179bvvot7UKUJ5GfQYz7E8SqS8Mv9fsa
 d432uNt+9udDslUXKei2tCfF6w7CwU+N6h36u5cShWJHqCqpy0dH0MrfQ++RVobjEtlOdEh
 hAEP/r0a17CrUg0aiJnog==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org, Yuri D'Elia <yuri.delia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The window manager can resize the window, for example when you drag on
 > its corners, or when you maximize it.  Or it can intercept Emacs
 > resize request and modify it, so it is consistent with size hints.  In
 > both cases a ConfigureNotify is sent.  Gtk+ does receive it.

In gtk_window_configure_event?

 > The
 > problem is that Gtk+ then tries to apply size hints also.

Via gtk_window_move_resize?  Which, in principle, is not entirely wrong.
Emacs gets what it asked for.  Can't we reset the size hints in between?
That's what I earlier meant by "interception".

 > Focus events does not contain any information about width/height and
 > can't be taken as a resize request.  That would be kind of perverse,
 > focus has nothing to do with resize.

Didn't the OP mention that during a focus event a resize also took
place?  That's what he said:

    However, when receiving a FocusIn event (just by cycling focus),
    emacs properly aligns the minibuffer to the bottom, and displays a
    partially-visible line just above the minibuffer (test_after.png).

 >> Apparently no such measure is needed for fullheight/-width frames.
 >
 > The bug report that lead to the change mentioned no such problems.

The OP said that:

    I force the emacs frame to take the height of the entire screen.

So this looks like a fullheight frame to me without, apparently,
explicitly specifying it as such.

 > The window manager is what does the fullscreen happen, so it is free
 > to ignore any hints, i.e. hints should not matter, fullscreen takes
 > precedence.  But in principle hints during fullscreen may not reflect
 > the "true" state of affairs.

Maybe the OP's problem is that the Window manager conceptually gives
Emacs the full height of the screen and Gtk+ is not aware of that.
Maybe also Gtk+ doesn't even understand fullheight.  At least I can't
detect an entry for it in GtkWindowPrivate which OTOH has a 'tiled'
entry.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 6 Mar 2015 06:03:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 01:03:16 2015
Received: from localhost ([127.0.0.1]:36708 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTlLw-00084Q-87
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 01:03:16 -0500
Received: from mailfe04.swip.net ([212.247.154.97]:36012 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTlLt-000849-Jb
 for 19990 <at> debbugs.gnu.org; Fri, 06 Mar 2015 01:03:14 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe04.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 576503150; Fri, 06 Mar 2015 07:03:05 +0100
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19990: 24.4;
 Bad resizing interaction when WM ignores size hints
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <54F89D48.1000902@HIDDEN>
Date: Fri, 6 Mar 2015 07:03:05 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <9C8ADD7C-C99B-4C5E-9835-AD446CC57747@HIDDEN>
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN> <54F89D48.1000902@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org, Yuri D'Elia <yuri.delia@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 5 mar 2015 kl. 19:15 skrev martin rudalics <rudalics@HIDDEN>:
>=20
> > What do you mean by intercept?  Intercept from who?
>=20
> I have no idea how a resize request issued by the window manager is
> handled.  I initially thought that a configure event is issued by the
> window manager and passed on to us via Gtk.  Apparently, this is not =
the
> case and the window manager only informs Gtk about the resize request
> and Gtk takes the appropriate measures.  As far as focus requests are
> concerned I don't understand why Gtk doesn't treat them like resize
> requests.

The window manager can resize the window, for example when you drag on =
its corners, or when you maximize it.
Or it can intercept Emacs resize request and modify it, so it is =
consistent with size hints.
In both cases a ConfigureNotify is sent.  Gtk+ does receive it.  The =
problem is that Gtk+ then tries to apply size hints also.

Focus events does not contain any information about width/height and =
can't be taken as a resize request.  That would be kind of perverse, =
focus has nothing to do with resize.

>=20
>=20
> So if Emacs starts with a maximized frame we don't set any hints?
>=20

Yes.

> Apparently no such measure is needed for fullheight/-width frames.

The bug report that lead to the change mentioned no such problems.

>=20
> > I.e. make sure the window manager and Gtk+ have the same hints, but
> > don't change them when fullscreen because Gtk+ and KWin implements
> > enforcements of hints differently.  Gtk+ and the window manager =
still
> > has our last non-fullscreen hints.
>=20
> With the according base height and width.  I always thought these =
should
> reflect our current sizes.  Does the fullscreen status suspend that
> temporarily?

The window manager is what does the fullscreen happen, so it is free to =
ignore any hints, i.e. hints should not matter, fullscreen takes =
precedence.  But in principle hints during fullscreen may not reflect =
the "true" state of affairs.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 5 Mar 2015 18:15:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 13:15:55 2015
Received: from localhost ([127.0.0.1]:36248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTaJP-0001ej-1U
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 13:15:55 -0500
Received: from mout.gmx.net ([212.227.17.21]:51289)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTaJN-0001eV-1x
 for 19990 <at> debbugs.gnu.org; Thu, 05 Mar 2015 13:15:53 -0500
Received: from [194.166.87.46] ([194.166.87.46]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LraSn-1XT7Er3tPR-013NtK; Thu, 05 Mar 2015 19:15:45
 +0100
Message-ID: <54F89D48.1000902@HIDDEN>
Date: Thu, 05 Mar 2015 19:15:36 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Jan D." <jan.h.d@HIDDEN>, Yuri D'Elia <yuri.delia@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
 <54F885F7.80803@HIDDEN>
In-Reply-To: <54F885F7.80803@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:zBUeRLdfyWzh+wuQr720O0NghSUq0WnUjSKS0HJQUV2PtBPDG/R
 F2nZsh08mBoqBjJfFKdQVhOSGcu6rzjoX+hk0gEitnzvXQF7cX/mp5sBH7v5XcyJspECE4W
 wTBi8MiHMncRr1yTqE9cAt4hi1G9LmIzQ+tSYdC+D/7c/teCwL7w+WHRtK2pJ/0G2HS4Vrs
 vLsSfjQovOoYy+ly6Cs5A==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > It keeps track of what resize it has done, and when the
 > ConfigureNotify event arrives, it checks to see if it matches its
 > constraints.  See code in Gtk+, gtkwindow.c (it is a mess).
 >
 >> Why does a first resize with an odd size
 >> apparently get through at all?
 >
 > Why shouldn't it?
 >
 >>  Can't Gtk+ intercept thet first request?
 >> And how comes that Gtk+ is apparently not able to intercept the focus in
 >> reqest in the same way?
 >
 > What do you mean by intercept?  Intercept from who?

I have no idea how a resize request issued by the window manager is
handled.  I initially thought that a configure event is issued by the
window manager and passed on to us via Gtk.  Apparently, this is not the
case and the window manager only informs Gtk about the resize request
and Gtk takes the appropriate measures.  As far as focus requests are
concerned I don't understand why Gtk doesn't treat them like resize
requests.

 >> BTW, I never understood the following two comments in gtkutil.c:
 >>
 >>    /* Must use GTK routines here, otherwise GTK resets the size hints
 >>       to its own defaults.  */
 >>
 >> and
 >>
 >>        /* Don't set hints when maximized or fullscreen.  Apparently KWin
 >> and
 >>           Gtk3 don't get along and the frame shrinks (!).
 >>
 >> How could that possibly work?
 >

 > Fine so far.  The hints specify things like resize increments which
 > are the character size, i.e. you can only resize one full row at the
 > time (at least when that comment was made).  If you have a fullscreen
 > frame, and the font changes, in principle the hints should change.
 > But a change leads to a war between KWin and Gtk+ regarding who shall
 > control the size of the frame.  So we don't change hints, we leave the
 > old in place.

So if Emacs starts with a maximized frame we don't set any hints?

Apparently no such measure is needed for fullheight/-width frames.

 > I.e. make sure the window manager and Gtk+ have the same hints, but
 > don't change them when fullscreen because Gtk+ and KWin implements
 > enforcements of hints differently.  Gtk+ and the window manager still
 > has our last non-fullscreen hints.

With the according base height and width.  I always thought these should
reflect our current sizes.  Does the fullscreen status suspend that
temporarily?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 5 Mar 2015 16:36:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 11:36:19 2015
Received: from localhost ([127.0.0.1]:36167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTYl0-0005vK-T2
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 11:36:19 -0500
Received: from mailfe09.swip.net ([212.247.155.1]:43251 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTYky-0005v6-PR
 for 19990 <at> debbugs.gnu.org; Thu, 05 Mar 2015 11:36:18 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe09.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 404914883; Thu, 05 Mar 2015 17:36:09 +0100
Message-ID: <54F885F7.80803@HIDDEN>
Date: Thu, 05 Mar 2015 17:36:07 +0100
From: "Jan D." <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10;
 rv:31.0) Gecko/20100101 Thunderbird/31.5.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>, Yuri D'Elia <yuri.delia@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN> <54F80E26.1070608@HIDDEN>
In-Reply-To: <54F80E26.1070608@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics skrev den 2015-03-05 09:04:
>  > Gtk+ does have code that tries to resize a window if it did not get
> the size it requested.
>
> How does it do that?

It keeps track of what resize it has done, and when the ConfigureNotify 
event arrives, it checks to see if it matches its constraints.  See code 
in Gtk+, gtkwindow.c (it is a mess).


> Why does a first resize with an odd size
> apparently get through at all?

Why shouldn't it?

>  Can't Gtk+ intercept thet first request?
> And how comes that Gtk+ is apparently not able to intercept the focus in
> reqest in the same way?

What do you mean by intercept?  Intercept from who?

>
> BTW, I never understood the following two comments in gtkutil.c:
>
>    /* Must use GTK routines here, otherwise GTK resets the size hints
>       to its own defaults.  */
>
> and
>
>        /* Don't set hints when maximized or fullscreen.  Apparently KWin
> and
>           Gtk3 don't get along and the frame shrinks (!).
>
> How could that possibly work?

Fine so far.  The hints specify things like resize increments which are 
the character size, i.e. you can only resize one full row at the time 
(at least when that comment was made).  If you have a fullscreen frame, 
and the font changes, in principle the hints should change.  But a 
change leads to a war between KWin and Gtk+ regarding who shall control 
the size of the frame.  So we don't change hints, we leave the old in place.

Gtk+ has its own copy of hints, which it sets by itself from time to 
time, and which it tries to enforce.  If we where to set hints with X 
functions, Gtk+ would try to enforce something it has, while the window 
manager would enforce what we actually set.  So we use Gtk+ routines sp 
that Gtk+ and the window manager have the same hints.

These to comments are not really related to each other.

> According to the first comment when we
> "don't set hints when maximized or fullscreen" we get "otherwise GTK
> resets the size hints to its own defaults".

I.e. make sure the window manager and Gtk+ have the same hints, but 
don't change them when fullscreen because Gtk+ and KWin implements 
enforcements of hints differently.  Gtk+ and the window manager still 
has our last non-fullscreen hints.

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 5 Mar 2015 08:05:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 03:05:19 2015
Received: from localhost ([127.0.0.1]:35515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQmU-0005eZ-Vh
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:19 -0500
Received: from mout.gmx.net ([212.227.17.20]:52421)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTQmS-0005eK-G5
 for 19990 <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:16 -0500
Received: from [62.47.255.182] ([62.47.255.182]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0MOCSm-1YQ8zE0HWG-005c8t; Thu, 05 Mar 2015 09:05:04
 +0100
Message-ID: <54F80E26.1070608@HIDDEN>
Date: Thu, 05 Mar 2015 09:04:54 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: "Jan D." <jan.h.d@HIDDEN>, Yuri D'Elia <yuri.delia@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
In-Reply-To: <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:eteBNzR3YI5g1a4U6a8ySJe0ivwFGWPUK5tGvKRDwFMS77rtHbP
 jU5wc2uPTXBgTnHhvoZcUd6q6hJViL9FC+X7eFfC9diwz6qchJ8CxkYeMif+4ks9qkO0Uqc
 ZBDhN3ngGxgHU8DpJ4jY5YFGEP5mKIVFkMjJdmbZYIEyDH7j/eLMfVfHSECzujhKfCLzlXL
 FCODLMwaDxQLHz8dsWAww==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Gtk+ does have code that tries to resize a window if it did not get the size it requested.

How does it do that?  Why does a first resize with an odd size
apparently get through at all?  Can't Gtk+ intercept thet first request?
And how comes that Gtk+ is apparently not able to intercept the focus in
reqest in the same way?

BTW, I never understood the following two comments in gtkutil.c:

   /* Must use GTK routines here, otherwise GTK resets the size hints
      to its own defaults.  */

and

       /* Don't set hints when maximized or fullscreen.  Apparently KWin and
          Gtk3 don't get along and the frame shrinks (!).

How could that possibly work?  According to the first comment when we
"don't set hints when maximized or fullscreen" we get "otherwise GTK
resets the size hints to its own defaults".

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 5 Mar 2015 08:04:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 03:04:51 2015
Received: from localhost ([127.0.0.1]:35507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQm3-0005dI-5i
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:04:51 -0500
Received: from mout.gmx.net ([212.227.17.20]:55546)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTQm0-0005d5-Rs
 for 19990 <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:04:49 -0500
Received: from [62.47.255.182] ([62.47.255.182]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0MFLmC-1YHNYT1bAy-00ELIT; Thu, 05 Mar 2015 09:04:41
 +0100
Message-ID: <54F80E12.8090200@HIDDEN>
Date: Thu, 05 Mar 2015 09:04:34 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Yuri D'Elia <yuri.delia@HIDDEN>, 19990 <at> debbugs.gnu.org
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
In-Reply-To: <54F754A4.5050507@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:wlGc/0lyDoHEUXlnMKoRZTkIE2TIL+CnFjDVlgJ48CNcArhpiRH
 XcLshhgkjG5JMIGFuSFA8HR4g72xIAkzvlF3LP5leICMOQIwsgNggBoHiVpzbQm2/4TOuAc
 4RoYRrxruNBmCbGIkyDU1qpNArhJPUHQqx6cIET1oGYkJrDiBpDQL/0Jg1D5EYoDdM6FeR7
 G1xdEf7+HbsnI6vcOWGsQ==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> Do you mean you want hints honored when the frame is floating and not
 >> honored when the frame is tiled?
 >
 > Yes.

How do you switch from floating to tiling mode and back?  Ideally,
tiling mode would set `frame-resize-pixelwise' to t with the appropriate
size hints and floating mode would reset it but that's hard to achieve
without the necessary information.  How does, for example,

 >> Using awesomewm you can set "size_hints_honor = false"

work in practice?  Is this a setting Emacs could inspect somewhere?

 > Yes. The second/third event I saw while debugging are not coming from
 > the window manager. I suspect it's GTK trying to reconfigure the window
 > according to the size hints (and failing).

So IIUC you get two xg_frame_resized events.  The first event seems to
come from your window manager and the requested size does not obey the
size hints.  The second event seems to come from Gtk and the requested
size obeys the previous hints.  Does anything significant happen in
between these two events?  That is, does Emacs issue a
xg_frame_set_char_size request and does x_wm_set_size_hint get called?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 21:18:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 16:18:51 2015
Received: from localhost ([127.0.0.1]:35323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTGgs-000793-Sl
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:18:51 -0500
Received: from mailfe03.swip.net ([212.247.154.65]:55001 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTGgp-00078o-TJ
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:18:49 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe03.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 411186695; Wed, 04 Mar 2015 22:18:42 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19990: 24.4;
 Bad resizing interaction when WM ignores size hints
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <54F75D71.1080402@HIDDEN>
Date: Wed, 4 Mar 2015 22:18:42 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <63285E43-E087-4DFE-8CE4-F5BE40951BB1@HIDDEN>
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
 <54F75D71.1080402@HIDDEN>
To: Yuri D'Elia <yuri.delia@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: martin rudalics <rudalics@HIDDEN>, 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


> 4 mar 2015 kl. 20:30 skrev Yuri D'Elia <yuri.delia@HIDDEN>:
>=20
> On 03/04/2015 08:22 PM, Jan D. wrote:
>> Hi.
>=20
>> I'm afraid it is out of Emacs control.
>=20
> Since the gtk interface has some issues, is there anything really =
worth
> in it compared to lucid? I switched to the gtk port only when debian
> make it default, getting the impression that lucid was receiving less
> love. Maybe rendering through gdk is faster?
>=20
> Pure curiosity.

The toolbar, scrollbar and possibly menus look better.  There is a font =
chooser and a file dialog.
The dialogs look a bit better.  Also, they adapt to the desktop theme.

Gtk+ does rendering via cairo nowdays, it is not faster, but a bit =
slower actually than pure X that lucid uses.
Lucid only receives some updates to cope with changed coding standards =
and core Emacs changes.
The last new stuff was antialiased text in menus, and that was 4 years =
ago.
I think XEmacs Lucid version has more features, but I haven't =
investigated.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 19:39:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 14:39:03 2015
Received: from localhost ([127.0.0.1]:35291 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTF8J-0004kw-Jm
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:39:03 -0500
Received: from mail2.unibz.it ([46.18.24.80]:49967)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YTF8H-0004kS-Ue
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:39:02 -0500
Received: from SDCEMB11.unibz.it (10.7.29.61) by mail2.unibz.it (46.18.24.80)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Wed, 4 Mar 2015 20:37:59 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB11.unibz.it (10.7.29.61)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Wed, 4 Mar 2015 20:38:55 +0100
Message-ID: <54F75F4F.6010408@HIDDEN>
Date: Wed, 4 Mar 2015 20:38:55 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: Jan D. <jan.h.d@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
 <54F75D71.1080402@HIDDEN>
In-Reply-To: <54F75D71.1080402@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: SDCEMB12.unibz.it (10.7.29.62) To SDCEMB11.unibz.it
 (10.7.29.61)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19990
Cc: martin rudalics <rudalics@HIDDEN>, 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/04/2015 08:30 PM, Yuri D'Elia wrote:
> As I suspected, I recall having the same issue on my programs since
> Gtk1.3, and I never exactly understood why Gtk behaved like that.
> 
>> I'm afraid it is out of Emacs control.
> 
> Since the gtk interface has some issues, is there anything really worth
> in it compared to lucid? I switched to the gtk port only when debian
> make it default, getting the impression that lucid was receiving less
> love. Maybe rendering through gdk is faster?

And FYI, indeed the lucid variant is working correctly without having to
set `frame-resize-pixelwise'.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 19:31:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 14:31:08 2015
Received: from localhost ([127.0.0.1]:35287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTF0d-0004ZI-Mr
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:31:07 -0500
Received: from mail2.unibz.it ([46.18.24.80]:49871)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YTF0b-0004Yo-A5
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:31:06 -0500
Received: from SDCEMB14.unibz.it (10.7.29.64) by mail2.unibz.it (46.18.24.80)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Wed, 4 Mar 2015 20:30:02 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB14.unibz.it (10.7.29.64)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Wed, 4 Mar 2015 20:30:58 +0100
Message-ID: <54F75D71.1080402@HIDDEN>
Date: Wed, 4 Mar 2015 20:30:57 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: Jan D. <jan.h.d@HIDDEN>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
 <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
In-Reply-To: <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: SDCEMB12.unibz.it (10.7.29.62) To SDCEMB14.unibz.it
 (10.7.29.64)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19990
Cc: martin rudalics <rudalics@HIDDEN>, 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/04/2015 08:22 PM, Jan D. wrote:
> Hi.
> 
>> 4 mar 2015 kl. 19:53 skrev Yuri D'Elia <yuri.delia@HIDDEN>:
>> 
>> On 03/04/2015 07:45 PM, martin rudalics wrote:
>>> In x_wm_set_size_hint we disable size hints for fullscreen and
>>> maximized frames.  Is it that what you mean with "as done in 
>>> xg_frame_set_char_size"?
>> 
>> Yes. The second/third event I saw while debugging are not coming
>> from the window manager. I suspect it's GTK trying to reconfigure
>> the window according to the size hints (and failing).
> 
> Gtk+ does have code that tries to resize a window if it did not get
> the size it requested. Also, it does try to satisfy the size hints
> itself, which is wrong.  Hints are for the window manager to respect
> or ignore as it wishes.  It is nothing wrong with ignoring hints.
> They are, after all, just that, hints. This is an example why it
> doesn't work to do what Gtk+ does.  This is a major Gtk+ bug IMHO. 

As I suspected, I recall having the same issue on my programs since
Gtk1.3, and I never exactly understood why Gtk behaved like that.

> I'm afraid it is out of Emacs control.

Since the gtk interface has some issues, is there anything really worth
in it compared to lucid? I switched to the gtk port only when debian
make it default, getting the impression that lucid was receiving less
love. Maybe rendering through gdk is faster?

Pure curiosity.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 19:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 14:22:32 2015
Received: from localhost ([127.0.0.1]:35278 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTEsJ-0004LA-O9
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:22:32 -0500
Received: from mailfe03.swip.net ([212.247.154.65]:34908 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1YTEsH-0004Ku-Fu
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 14:22:30 -0500
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe03.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 411171240; Wed, 04 Mar 2015 20:22:21 +0100
Content-Type: text/plain; charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 8.2 \(2070.6\))
Subject: Re: bug#19990: 24.4;
 Bad resizing interaction when WM ignores size hints
From: "Jan D." <jan.h.d@HIDDEN>
In-Reply-To: <54F754A4.5050507@HIDDEN>
Date: Wed, 4 Mar 2015 20:22:21 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <8D5FE96A-F0AE-4908-8AEF-DFDBAB504983@HIDDEN>
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
 <54F754A4.5050507@HIDDEN>
To: Yuri D'Elia <yuri.delia@HIDDEN>
X-Mailer: Apple Mail (2.2070.6)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 19990
Cc: martin rudalics <rudalics@HIDDEN>, 19990 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

> 4 mar 2015 kl. 19:53 skrev Yuri D'Elia <yuri.delia@HIDDEN>:
>=20
> On 03/04/2015 07:45 PM, martin rudalics wrote:
>> In x_wm_set_size_hint we disable size hints for fullscreen and =
maximized
>> frames.  Is it that what you mean with "as done in
>> xg_frame_set_char_size"?
>=20
> Yes. The second/third event I saw while debugging are not coming from
> the window manager. I suspect it's GTK trying to reconfigure the =
window
> according to the size hints (and failing).

Gtk+ does have code that tries to resize a window if it did not get the =
size it requested.
Also, it does try to satisfy the size hints itself, which is wrong.  =
Hints are for the window manager to respect or ignore as it wishes.  It =
is nothing wrong with ignoring hints.  They are, after all, just that, =
hints.
This is an example why it doesn't work to do what Gtk+ does.  This is a =
major Gtk+ bug IMHO.
I'm afraid it is out of Emacs control.

	Jan D.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 18:53:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 13:53:36 2015
Received: from localhost ([127.0.0.1]:35259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTEQJ-0003cI-SU
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 13:53:36 -0500
Received: from mail1.unibz.it ([46.18.24.79]:59555)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YTEQG-0003c2-T5
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 13:53:34 -0500
Received: from SDCEMB11.unibz.it (10.7.29.61) by mail1.unibz.it (46.18.24.79)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Wed, 4 Mar 2015 19:52:34 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB11.unibz.it (10.7.29.61)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Wed, 4 Mar 2015 19:53:25 +0100
Message-ID: <54F754A4.5050507@HIDDEN>
Date: Wed, 4 Mar 2015 19:53:24 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>, <19990 <at> debbugs.gnu.org>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN> <54F752C8.7050009@HIDDEN>
In-Reply-To: <54F752C8.7050009@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: SDCEMB11.unibz.it (10.7.29.61) To SDCEMB11.unibz.it
 (10.7.29.61)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/04/2015 07:45 PM, martin rudalics wrote:
>  > Using awesomewm you can set "size_hints_honor = false".
>  > With spectrwm there's no setting (the size hints are not honored if the
>  > window is tiled, but are if the window is floating).
>  > Xmonad is pretty similar to awesome in this sense (defaults to honor,
>  > but not honoring is common).
> 
> I still don't understand how you "force the emacs frame to take the
> height of the entire screen".  Do you set the fullscreen frame parameter
> to `fullheight'?

No, the window manager resizes the frame to the screen's height (or an
arbitrary height), ignoring WM size hints. I hope this clarifies. I
never use the fullscreen function (I use the WM own binding for this
purpose).

>  > It does work, but I was wondering if this could be fixed irregardless,
>  > since depending on the setting the hints might be honored or not.
> 
> Do you mean you want hints honored when the frame is floating and not
> honored when the frame is tiled?

Yes.

>  > When I put some debugging code in gtkutil.c:xg_frame_resized, it looks
>  > like two resize events are received when the frame is mapped: one with
>  > the real window size, and a second event with the size rounded-down to
>  > the text size.
> 
> And if you set `frame-resize-pixelwise' to t you get only one resize
> event?

I do.

>  > Again, when the frame is focused, a third resize event is
>  > received with the initial size, which causes the frame to render
>  > correctly. This feels odd.
> 
> What is the "initial size"?  Who sets it?

The first event is sent by the WM (probably with a reconfigure request).

> 
>  > GTK might be trying to resize the window after the first event. In
>  > xg_frame_resized itself it might be necessary to disable the size hints
>  > to prevent that (as done in xg_frame_set_char_size). But I don't have
>  > enough experience with GTK and/or low-level frame handling. I was hoping
>  > for somebody else to chime in.
> 
> In x_wm_set_size_hint we disable size hints for fullscreen and maximized
> frames.  Is it that what you mean with "as done in
> xg_frame_set_char_size"?

Yes. The second/third event I saw while debugging are not coming from
the window manager. I suspect it's GTK trying to reconfigure the window
according to the size hints (and failing).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 4 Mar 2015 18:45:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 13:45:49 2015
Received: from localhost ([127.0.0.1]:35246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTEIm-0003Qc-Jy
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 13:45:48 -0500
Received: from mout.gmx.net ([212.227.17.21]:56784)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTEIk-0003QO-OU
 for 19990 <at> debbugs.gnu.org; Wed, 04 Mar 2015 13:45:47 -0500
Received: from [88.117.118.171] ([88.117.118.171]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0Ldbqw-1XkqsE2TDO-00imai;
 Wed, 04 Mar 2015 19:45:37 +0100
Message-ID: <54F752C8.7050009@HIDDEN>
Date: Wed, 04 Mar 2015 19:45:28 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Yuri D'Elia <yuri.delia@HIDDEN>, 19990 <at> debbugs.gnu.org
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
 <54F6003E.7040900@HIDDEN>
In-Reply-To: <54F6003E.7040900@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:kU31WA2nV7luak2Hw4lw3OGaA9yO/Vxf3OUJ6GNVVsWu4B7jL3Y
 cMjsjTsymtehm1+NDlIOCCdbyYeHWVtoWGHJ6eDXNk4V46xu38Iu/cZPpim/Rsi0vXkECz/
 jHlk6IB5qSx3CJlnTxKw4eMbXs7dUuwsiVmtVOtNtnKY0uFeVnBbdNFdR6u8lqUvyxxA/68
 XLPYjI4AutBvdZhNjzjqg==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >>   > I'm using a tiling window manager with the GTK+ port of emacs 24. I
 >>   > force the emacs frame to take the height of the entire screen.
 >>
 >> How do you do that?
 >
 > Using awesomewm you can set "size_hints_honor = false".
 > With spectrwm there's no setting (the size hints are not honored if the
 > window is tiled, but are if the window is floating).
 > Xmonad is pretty similar to awesome in this sense (defaults to honor,
 > but not honoring is common).

I still don't understand how you "force the emacs frame to take the
height of the entire screen".  Do you set the fullscreen frame parameter
to `fullheight'?

 >>   > I realize this is a very minor issue and ignoring size hints is bad(tm),
 >>   > but since emacs properly aligns the minibuffer with
 >>   > toggle-frame-fullscreen in order to fit the screen it shouldn't be hard
 >>   > to fix.
 >>
 >> What happens when you set `frame-resize-pixelwise' to t?
 >
 > It does work, but I was wondering if this could be fixed irregardless,
 > since depending on the setting the hints might be honored or not.

Do you mean you want hints honored when the frame is floating and not
honored when the frame is tiled?

 > When I put some debugging code in gtkutil.c:xg_frame_resized, it looks
 > like two resize events are received when the frame is mapped: one with
 > the real window size, and a second event with the size rounded-down to
 > the text size.

And if you set `frame-resize-pixelwise' to t you get only one resize
event?

 > Again, when the frame is focused, a third resize event is
 > received with the initial size, which causes the frame to render
 > correctly. This feels odd.

What is the "initial size"?  Who sets it?

 > GTK might be trying to resize the window after the first event. In
 > xg_frame_resized itself it might be necessary to disable the size hints
 > to prevent that (as done in xg_frame_set_char_size). But I don't have
 > enough experience with GTK and/or low-level frame handling. I was hoping
 > for somebody else to chime in.

In x_wm_set_size_hint we disable size hints for fullscreen and maximized
frames.  Is it that what you mean with "as done in
xg_frame_set_char_size"?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 3 Mar 2015 18:41:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 13:41:13 2015
Received: from localhost ([127.0.0.1]:34224 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YSrkm-0006rA-K4
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 13:41:12 -0500
Received: from mail1.unibz.it ([46.18.24.79]:54147)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSrkk-0006qv-8s
 for 19990 <at> debbugs.gnu.org; Tue, 03 Mar 2015 13:41:11 -0500
Received: from SDCEMB11.unibz.it (10.7.29.61) by mail1.unibz.it (46.18.24.79)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Tue, 3 Mar 2015 19:40:15 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB11.unibz.it (10.7.29.61)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Tue, 3 Mar 2015 19:41:03 +0100
Message-ID: <54F6003E.7040900@HIDDEN>
Date: Tue, 3 Mar 2015 19:41:02 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: martin rudalics <rudalics@HIDDEN>, <19990 <at> debbugs.gnu.org>
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN> <54F5F3C9.9070008@HIDDEN>
In-Reply-To: <54F5F3C9.9070008@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: SDCEMB11.unibz.it (10.7.29.61) To SDCEMB11.unibz.it
 (10.7.29.61)
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On 03/03/2015 06:47 PM, martin rudalics wrote:
>  > I'm using a tiling window manager with the GTK+ port of emacs 24. I
>  > force the emacs frame to take the height of the entire screen.
> 
> How do you do that?

Using awesomewm you can set "size_hints_honor = false".
With spectrwm there's no setting (the size hints are not honored if the
window is tiled, but are if the window is floating).
Xmonad is pretty similar to awesome in this sense (defaults to honor,
but not honoring is common).

>  > I realize this is a very minor issue and ignoring size hints is bad(tm),
>  > but since emacs properly aligns the minibuffer with
>  > toggle-frame-fullscreen in order to fit the screen it shouldn't be hard
>  > to fix.
> 
> What happens when you set `frame-resize-pixelwise' to t?

It does work, but I was wondering if this could be fixed irregardless,
since depending on the setting the hints might be honored or not.

When I put some debugging code in gtkutil.c:xg_frame_resized, it looks
like two resize events are received when the frame is mapped: one with
the real window size, and a second event with the size rounded-down to
the text size. Again, when the frame is focused, a third resize event is
received with the initial size, which causes the frame to render
correctly. This feels odd.

GTK might be trying to resize the window after the first event. In
xg_frame_resized itself it might be necessary to disable the size hints
to prevent that (as done in xg_frame_set_char_size). But I don't have
enough experience with GTK and/or low-level frame handling. I was hoping
for somebody else to chime in.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at 19990 <at> debbugs.gnu.org:


Received: (at 19990) by debbugs.gnu.org; 3 Mar 2015 17:48:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 12:48:07 2015
Received: from localhost ([127.0.0.1]:34168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YSqvP-0005Y8-0H
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 12:48:07 -0500
Received: from mout.gmx.net ([212.227.17.22]:64918)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YSqvN-0005XY-5a
 for 19990 <at> debbugs.gnu.org; Tue, 03 Mar 2015 12:48:05 -0500
Received: from [88.117.57.151] ([88.117.57.151]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0MN748-1YQe052YZc-006i41; Tue, 03 Mar 2015 18:47:57
 +0100
Message-ID: <54F5F3C9.9070008@HIDDEN>
Date: Tue, 03 Mar 2015 18:47:53 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Yuri D'Elia <yuri.delia@HIDDEN>, 19990 <at> debbugs.gnu.org
Subject: Re: bug#19990: 24.4; Bad resizing interaction when WM ignores size
 hints
References: <54F59D19.5000808@HIDDEN>
In-Reply-To: <54F59D19.5000808@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:SFd/YAsP93hGUGJVIvyRNIyL+t/xwX6AmcVMQDZNHKvJNuKP5e9
 0ZEXHBl5/UoRiT1G/R9CjVTEGQEdBl3cXEsIBLeqelg3jsIGORBxM0EuCDUeTYq1ioZKDqE
 t0kBpTdnQHhJlY/c6uJ3VQ7lIz2SOeNWB0n0Hp7aD2cufpodZpNfU8n8VGvNIKQWXH1gC0K
 EbRSZcSTeM1QG+LPz+hOg==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19990
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I'm using a tiling window manager with the GTK+ port of emacs 24. I
 > force the emacs frame to take the height of the entire screen.

How do you do that?

 > After resizing, the minibuffer position is not aligned to the bottom of
 > the frame, but it's logically aligned to the last full line, leaving an
 > un-painted margin at the lower border of the frame (test_before.png).
 >
 > However, when receiving a FocusIn event (just by cycling focus), emacs
 > properly aligns the minibuffer to the bottom, and displays a
 > partially-visible line just above the minibuffer (test_after.png).
 >
 > I realize this is a very minor issue and ignoring size hints is bad(tm),
 > but since emacs properly aligns the minibuffer with
 > toggle-frame-fullscreen in order to fit the screen it shouldn't be hard
 > to fix.

What happens when you set `frame-resize-pixelwise' to t?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2015 16:47:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 11:47:30 2015
Received: from localhost ([127.0.0.1]:34138 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YSpyi-00043I-M5
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 11:47:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34380)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlTM-00046w-L4
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 06:58:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlTG-0002Ph-B4
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 06:58:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.5 required=5.0 tests=BAYES_20,
 RECEIVED_FROM_WINDOWS_HOST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38567)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlTG-0002Pd-7Q
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 06:58:42 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36100)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlTF-00084I-1h
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 06:58:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlTA-0002Oa-AJ
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 06:58:40 -0500
Received: from mail2.unibz.it ([46.18.24.80]:54591)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <yuri.delia@HIDDEN>) id 1YSlT9-0002OG-Q8
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 06:58:36 -0500
Received: from SDCEMB12.unibz.it (10.7.29.62) by mail2.unibz.it (46.18.24.80)
 with Microsoft SMTP Server (TLS) id 14.3.210.2;
 Tue, 3 Mar 2015 12:37:11 +0100
Received: from [10.60.220.17] (46.18.24.216) by SDCEMB12.unibz.it (10.7.29.62)
 with Microsoft SMTP Server (TLS) id 15.0.995.29;
 Tue, 3 Mar 2015 12:38:01 +0100
Message-ID: <54F59D19.5000808@HIDDEN>
Date: Tue, 3 Mar 2015 12:38:01 +0100
From: Yuri D'Elia <yuri.delia@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Icedove/31.5.0
MIME-Version: 1.0
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.4; Bad resizing interaction when WM ignores size hints
Content-Type: multipart/mixed; boundary="------------030001030109070108030507"
X-ClientProxiedBy: SDCEMB11.unibz.it (10.7.29.61) To SDCEMB12.unibz.it
 (10.7.29.62)
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 03 Mar 2015 11:47:27 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--------------030001030109070108030507
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 7bit

I'm using a tiling window manager with the GTK+ port of emacs 24. I
force the emacs frame to take the height of the entire screen.

After resizing, the minibuffer position is not aligned to the bottom of
the frame, but it's logically aligned to the last full line, leaving an
un-painted margin at the lower border of the frame (test_before.png).

However, when receiving a FocusIn event (just by cycling focus), emacs
properly aligns the minibuffer to the bottom, and displays a
partially-visible line just above the minibuffer (test_after.png).

I realize this is a very minor issue and ignoring size hints is bad(tm),
but since emacs properly aligns the minibuffer with
toggle-frame-fullscreen in order to fit the screen it shouldn't be hard
to fix.


In GNU Emacs 24.4.1 (x86_64-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2014-12-09 on gaia, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.0 (jessie)

Configured using:
 `configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-z,relro'

--------------030001030109070108030507
Content-Type: image/png; name="test_after.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="test_after.png"
Content-Description: test_after.png
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--------------030001030109070108030507
Content-Type: image/png; name="test_before.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename="test_before.png"
Content-Description: test_before.png
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--------------030001030109070108030507--




Acknowledgement sent to Yuri D'Elia <yuri.delia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19990; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 6 Mar 2015 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.